sesame 0.0.1 copy "sesame: ^0.0.1" to clipboard
sesame: ^0.0.1 copied to clipboard

A set of utils for Dart or flutter applications.

Sesame #

Dart CI

Features #

  • Useful extension methods for Dart collections.

Getting started #

Add the following to your pubspec.yaml:

dependencies:
  sesame: any

Usage #

Extensions #

A set of useful extension methods for Dart collections.

MapGetOr

import 'package:sesame/extensions.dart';

final map = {"fruit":"apple"};

final fruitOrDefaultValue = map.getOrElse("fruit", "orange"); // apple

final vegetableOrDefaultValue = map.getOrElse("vegetable", "lettuce"); // lettuce

final fruitOrNull = map.getOrNull("fruit"); // apple

final vegetableOrNull = map.getOrNull("vegetable"); //null
0
likes
120
pub points
1%
popularity

Publisher

verified publishermintminter.dev

A set of utils for Dart or flutter applications.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

More

Packages that depend on sesame